#ifndef QRAPIDINPUTWIDGET_H
#define QRAPIDINPUTWIDGET_H

#include <QtWidgets/QtWidgets>
//#include <QWidget>
#include <vector>
#include "ui_QRapidInputWidget.h"
#include "DataManipulation.h"

class QRapidInputWidget : public QWidget
{
	Q_OBJECT

public:
	QRapidInputWidget(QWidget *parent = 0);
	~QRapidInputWidget();

protected:
	virtual void dragEnterEvent( QDragEnterEvent * pEvent );
	virtual void dropEvent( QDropEvent * pEvent );

protected Q_SLOTS:
	void onSaveTelSalePolicy();
	void onCleanTable();
	void onOpenFile();

private:
	void init();
	void initWidget();
	void initSignal();
	void initData();

	void showPolicy();

private:
	Ui::QRapidInputWidget ui;
	std::vector<SPolicyRecord> m_vPolicy;
	std::vector<SPolicyRecord> m_vErrorPolicy;
};

#endif // QRAPIDINPUTWIDGET_H
